Upgrade subscription
POST
/billing/v1/subscription/upgradeUpgrade the organization's subscription to a new plan
Authorization
Bearer Authorization<token>
In: header
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_billing.upgradeSubscriptionBody",
"$ref-value": {
"properties": {
"stripe_price_id": {
"type": "string"
}
},
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/billingv1.UpgradeSubscriptionResponse",
"$ref-value": {
"properties": {
"client_secret": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/billing/v1/subscription/upgrade" \
-H "Content-Type: application/json" \
-d '{}'OK
application/json
{
"$ref": "#/components/schemas/billingv1.UpgradeSubscriptionResponse",
"$ref-value": {
"properties": {
"client_secret": {
"type": "string"
}
},
"type": "object"
}
}